Skip to main content
`Ctrl`+`K`

# FNCombineGetChildren

Gets the two child functions that constitute this combined function, and the way they are combined.

## Synopsis

    #include "slepcfn.h"
    PetscErrorCode FNCombineGetChildren(FN fn,FNCombineType *comb,FN *f1,FN *f2)

Not Collective

## Input Parameter

- fn - the math function context

## Output Parameters

- comb - how to combine the functions (addition, multiplication, division or composition)

- f1 - first function

- f2 - second function

## See Also

FN: Mathematical Functions, `FNCOMBINE`, `FNCombineSetChildren()`

## Level

intermediate

## Location

src/sys/classes/fn/impls/combine/fncombine.c

## Implementations

FNCombineGetChildren_Combine() in src/sys/classes/fn/impls/combine/fncombine.c

Index of all FN routines Table of Contents for all manual pages Index of all manual pages